I've inherited an iPad app developed by someone else, in what I think was Sencha 1.1.1 (the core.js file says
Ext.apply(Ext, { /**
* The version of the framework
* @type String
*/
version : '1.1.1',

so I'm guessing that means Sencha 1.1.1).

So far, I've installed the SDK 2 Beta 3, and SenchaTouch 2.1, and have been unable to publish an app so far.

I believe this is because I need to do some kind of upgrade. I did attempt to upgrade to 2.1, currently installed on my machine. The following error was thrown:

node.js:201
throw e; // process.nextTick error, or 'error' event on first tick

ReferenceError: document is not defined
at C:\xampp\htdocs\sencha\src\core\class\Loader.js:1299:19
at Object.<anonymous> (C:\xampp\htdocs\sencha\src\core\class\Loader.js:1323:2)
at Module._compile (module.js:441:26)
at Object..js (module.js:348:31)
at Module.load (module.js:308:12)
... it goes on.

How do I proceed past this error?